import request from "@/utils/request";

/**
 * 门店列表
 */
export function getSelectStore(data) {
  return request.post("/api/shop/selectStore", data, { login: true,loading:true });
}
/**
 * 默认车辆
 */
export function getUserCar(data) {
  return request.get("/api/userCar/defaultCar", data, { login: true });
}
/**
 * 车辆列表
 */
export function getUserCarPage(data) {
  return request.get("/api/userCar/carPage", data, { login: true,loading:true });
}
/**
 * 获取时间
 */
export function getTimeList(data) {
  return request.get("/api/shop/timeList", data, { login: false });
}
/**
 * 获取省市区
 */
export function getRegion(data) {
  return request.post("/api/sysRegion/getRegion", data, { login: false });
}
/**
 * 店铺详情
 */
export function shopDetail(data) {
  return request.post("/api/shop/detail", data, { login: true });
}

/**
 * 获取店铺服务
 */
export function carwashService(data){
	return request.get('/api/shop/carwashService',data, { login: true })
}

/**
 * 获取店铺评价
 */
export function orderEvaluate(data){
	return request.post('/api/orderEvaluate/list',data, { login: true })
}

/**
 * 获取店铺主页商品
 */
export function getShopGoods(data){
	return request.post('/api/package/list',data, { login: true })
}

/**
 * 获取店铺介绍
 */
export function getInclude(data){
	return request.post('/api/common/userHFiveUrl',data, { login: true })
}